class apache {
    package { 'httpd':
      ensure => present,
    } ->
    file { "/var/www/new":  # Creating Document Root
      ensure => "directory",
      owner  => "apache",
      group  => "apache",
      mode   => '0777',
    } ->
 file { '/var/www/new/index.html': # Creating Index file
     ensure  => file,
     content => "Index HTML Is Managed By Puppet",
     mode    => '0644',
   } ->
  file { '/etc/httpd/conf/httpd.conf': # Path to the file on client machine
      ensure => file,
      mode   => '0777',
      source => 'puppet:///modules/apache/httpd.conf', # Path to the custom file on puppet server
    } ->
  file { '/var/www/html/info.php': # Path to the file on client machine
      ensure => file,
      mode   => '0777',
      source => 'puppet:///modules/apache/info.php', # Path to the custom file on puppet server
    } ->

  file { '/etc/httpd/conf.d/custom_new.conf': # Path to the file on client machine 
      ensure => file,
      mode   => '0600',
      source => 'puppet:///modules/apache/custom_new.conf', # Path to the custom file on puppet server
    } ~>
    service { 'httpd':
      ensure => running,
      enable => true,
    }
 class { '::php': }

}
